/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct AcctMemoData {
    #[serde(rename = "AcctMemoCode", skip_serializing_if = "Option::is_none")]
    pub acct_memo_code: Option<String>,
    #[serde(rename = "AcctMemoIdent", skip_serializing_if = "Option::is_none")]
    pub acct_memo_ident: Option<String>,
    #[serde(rename = "AcctMemoType", skip_serializing_if = "Option::is_none")]
    pub acct_memo_type: Option<String>,
}

impl AcctMemoData {
    pub fn new() -> AcctMemoData {
        AcctMemoData {
            acct_memo_code: None,
            acct_memo_ident: None,
            acct_memo_type: None,
        }
    }
}
